Skip to main content
`Ctrl`+`K`
scipy.special.

# riccati_yn

scipy.special.riccati_yn(n, x)

  Compute Riccati-Bessel function of the second kind and its derivative.

  The Riccati-Bessel function of the second kind is defined here as \(+x y_n(x)\), where \(y_n\) is the spherical Bessel function of the second kind of order \(n\). Note that this is in contrast to a common convention that includes a minus sign in the definition.

  This function computes the value and first derivative of the function for all orders up to and including n.

  Parameters:
    n int

      Maximum order of function to compute

    x float

      Argument at which to evaluate

  Returns:
    yn ndarray

      Value of y0(x), …, yn(x)

    ynp ndarray

      First derivative y0’(x), …, yn’(x)

  Notes

  The computation is carried out via ascending recurrence, using the relation DLMF 10.51.1 [2].

  Wrapper for a Fortran routine created by Shanjie Zhang and Jianming Jin [1].

  References

  [1]

  Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. https://people.sc.fsu.edu/~jburkardt/f77_src/special_functions/special_functions.html

  [2]

  NIST Digital Library of Mathematical Functions. https://dlmf.nist.gov/10.51.E1